device_type: kv260

job_name: acs-testing-{{ ci_job_id }}

timeouts:
  job:
    minutes: 600
  action:
    minutes: 600
  connection:
    minutes: 2

visibility:
  group:
  - AlwaysReady

context:
  test_character_delay: 30

actions:

- deploy:
    timeout:
      minutes: 60
    to: flasher
    images:
      ImageA:
        url: {{ firmware_url["ImageA.bin.gz"] }}
        compression: gz
      ImageB:
        url: {{ firmware_url["ImageB.bin.gz"] }}
        compression: gz
      sd:
        url: https://gitlab.com/Linaro/trustedsubstrate/systemready/acs-testing/-/raw/main/images/ir-acs-live-image-generic-arm64.wic.xz
        compression: xz
        partition: 1
        format: ext4
        overlays:
          lava: true

- deploy:
    to: downloads
    images:
      curl:
        url: https://github.com/moparisthebest/static-curl/releases/download/v8.0.1/curl-aarch64

- boot:
    timeout:
      minutes: 15
    method: minimal

- boot:
    timeout:
      minutes: 600
    method: minimal
    reset: false
    prompts:
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"

- test:
    timeout:
      minutes: 5
      skip: false
    interactive:
    - name: smoke-ls
      prompts:
        - root@(.*):[/~]#
      echo: discard
      script:
      - name: run-ls
        command: "ls / && wget http://{SERVER_IP}/tmp/{JOB_ID}/downloads/common/curl-aarch64 -O /usr/bin/curl && chmod +x /usr/bin/curl && which curl"

- test:
    timeout:
      minutes: 5
    definitions:
    - repository: https://gitlab.com/Linaro/trustedsubstrate/systemready/test-definitions.git
      from: git
      path: acs/publish-results.yml
      name: publish-acs-results
      parameters:
        SQUAD_URL: "{{ squad_host }}/api/submit/{{ squad_group }}/{{ squad_project }}/{{ squad_build }}/{{ squad_device }}"
        SQUAD_TOKEN: "{{ squad_token }}"
